# Friendica Docker Role

This role manages the setup, reset, and maintenance of a Friendica instance running with Docker.

## Overview

Friendica is a decentralized social networking platform. This role helps manage Friendica in a containerized environment with Docker and provides tools for debugging, resetting, and maintaining the installation.

## Prerequisites 🛠️

Ensure you have the following:
- Docker and Docker Compose installed
- A central MariaDB instance running
- Necessary permissions to manage Docker and database configurations

## Other Resources

- [Friendica Docker Hub](https://hub.docker.com/_/friendica)
- [Friendica Installation Docs](https://wiki.friendi.ca/docs/install)
- [Friendica GitHub Repository](https://github.com/friendica/docker)
- [Open Issue: Login Mask does not change with OIDC activated](https://github.com/friendica/friendica/issues/14743)

---

📜 Created by [Kevin Veen-Birkenbach](https://www.veen.world/)

